AnsweredAssumed Answered

Why the coordinates of SelectBy2 mathod and CreatePoint mathod are different.

Question asked by Yong Ning on Feb 23, 2017
Latest reply on Feb 26, 2017 by Peter Brinkhuis

Selectby2.jpgSelectby21.jpg

 

 

Private Sub ll()

 

 

    Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2

        Set SwApp = Application.SldWorks

        Set SwModel = SwApp.ActiveDoc

    Dim SwDraw As DrawingDoc

        Set SwDraw = SwModel

    Dim SwView As View

        Set SwView = SwDraw.GetFirstView

        'SwDraw.ActivateView SwView.Name

        'SwApp.ActiveDoc.ActiveView.FrameState = 1

        xx = 0.09 '283462373492

        yy = 0.03500318526879

        zz = 0

        SwModel.CreatePoint xx, yy, zz

        tmp = SwModel.Extension.SelectByID2("", "EDGE", xx, yy, zz, False, 0, Nothing, 0)

      

        Stop

End Sub

Attachments

Outcomes